Accept up to 50 pending applications, each on its own
POST
/api/public/v1/campaign_applications/bulk_approveLiveAnswers from your brand's records now.
Operation id bulkApproveCampaignApplications
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/campaign_applications/bulk_approve" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"ids":[3]}'Request body
| Field | Type | Notes |
|---|---|---|
| ids | array of integer | required |
Example
{
"ids": [
3
]
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| errors | array of object | |
| errors[].[].error | string | |
| errors[].[].id | integer | |
| success | boolean | |
| updated | array of object | |
| updated[].[].campaign_affiliate_id | integer, nullable | |
| updated[].[].campaign_id | integer | |
| updated[].[].changed | boolean | |
| updated[].[].id | integer | |
| updated[].[].status | string | |
| updated[].[].user_id | integer |
Example
{
"errors": [
{
"error": "string",
"id": 1024
}
],
"success": true,
"updated": [
{
"campaign_affiliate_id": 1024,
"campaign_id": 1024,
"changed": true,
"id": 1024,
"status": "string",
"user_id": 1024
}
]
}Errors: 401403422with an error and usually a message. See errors.
Example values are made up from each field's type and name.